{% extends "base.html" %}
{% load alarme_utils client_utils %}

{% block title %}Interventions pour le client{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'clients' %}">Clients</a></li>
<li class="breadcrumb-item"><a href="{% url 'client-edit' client.pk %}">{{ client.nom_prenom }}</a></li>
<li class="breadcrumb-item active" aria-current="page">Interventions</li>
{% endblock %}

{% block content %}
    <h2>{{ client }} {% services_as_icons client 'alarme' 'p-2' %}</h2>
    <div class="row mt-2 mb-2">
      <div class="col-12 col-md-9">
        {% include 'alarme/client_tabs.html' with active='interventions' %}
      </div>
      <div class="col-12 col-md-3 text-end">
          <button type="button" class="btn btn-primary openmodal" title="Ajouter une nouvelle intervention"
                  data-modalurl="{% url 'mission-new' client.pk %}">Nouvelle intervention</button
      </div>
    </div>

    <table class="table">
        <thead>
            <th>Effectuée le</th><th>Par</th><th>Description</th><th>Durée</th><th>Frais</th><th>Km</th>
        </thead>
        <tbody>
        {% for mission in object_list %}
            <tr>
                <td><a href="{% url 'mission-edit' mission.pk %}" class="openmodal"
                        {% if perms.alarme.delete_mission %}
                        data-deleteurl="{% url 'mission-delete' mission.pk %}"
                        data-deleteconfirm="Voulez-vous vraiment annuler cette intervention ?"
                        {% endif %}>
                    {% if mission.effectuee %}{{ mission.effectuee|date:'d.m.Y' }}{% else %}
                      {% if mission.delai %}Délai: {{ mission.delai|date:'d.m.Y' }}{% else %}-{% endif %}
                    {% endif %}</a>
                </td>
                <td>{% if mission.benevole %}
                    <a href="{{ mission.benevole.get_absolute_url }}">{{ mission.benevole }}</a>
                    {% else %}<i>non attribuée</i>{% endif %}
                </td>
                <td><b>{{ mission.type_mission }}</b>
                    <br>{{ mission.description }}
                    {% if mission.rapport %}
                    <details class="mission_rapport">
                        <summary>Rapport</summary>
                        <div>{{ mission.rapport|linebreaksbr }}</div>
                    </details>
                    {% endif %}
                </td>
                <td>{{ mission.duree_client|strip_seconds|default_if_none:'-' }}<br>
                    {{ mission.duree_seul|strip_seconds|default_if_none:'-' }}
                </td>
                <td>{{ mission.frais_total|default_if_none:'-' }}</td>
                <td>{{ mission.km|default_if_none:'-' }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    {% include 'pagination.html' %}

{% endblock %}
